﻿Type=Service
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Public IBeaconProtocol1 As IBeaconProtocol
End Sub

Sub Service_Create
	Dim IBeaconListener1 As IBeaconListener
	IBeaconListener1.Initialize("IBeaconListener1")
	IBeaconProtocol1.Initialize
	IBeaconProtocol1.SetListener(IBeaconListener1)
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy
	StopScan(True)
	Dim IBeaconProtocol1 As IBeaconProtocol
End Sub

Sub IBeaconListener1_BeaconFound(IBeacon1 As IBeacon)
	Log("IBeaconListener1_BeaconFound")
	CallSubDelayed3(Main, "BeaconFound", IBeacon1, True)
End Sub

Sub IBeaconListener1_EnterRegion(IBeacon1 As IBeacon)
	Log("IBeaconListener1_EnterRegion")
End Sub

Sub IBeaconListener1_ExitRegion(IBeacon1 As IBeacon)
	Log("IBeaconListener1_ExitRegion")
End Sub

Sub IBeaconListener1_OperationError(Status As Int)
	Log("IBeaconListener1_OperationError Status="&Status)
End Sub

Sub IBeaconListener1_SearchState(State As Int)
	Log("IBeaconListener1_SearchState")
	Select State
		Case IBeaconProtocol1.SEARCH_END_EMPTY
			ToastMessageShow("Scan complete - no beacons found", False)
		Case IBeaconProtocol1.SEARCH_END_SUCCESS
			ToastMessageShow("Scan complete - one or more beacons found", False)
		Case IBeaconProtocol1.SEARCH_STARTED
			ToastMessageShow("Scan started", False)
	End Select
End Sub

Sub StartScan
	StopScan(False)
	IBeaconProtocol1.StartScan
End Sub

Sub StopScan(Reset As Boolean)
	If IBeaconProtocol1.IsScanning Then
		IBeaconProtocol1.StopScan
		ToastMessageShow("Scan stopped", False)
	End If
	If Reset Then
		'	calling Reset clears any previously found beacons
		IBeaconProtocol1.Reset
	End If
End Sub